IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[PB_SC_ServiceCallDetails]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[PC_WRReferences_Temp]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
	BEGIN
		DROP TABLE [PC_WRReferences_Temp]
	END

	BEGIN
		CREATE TABLE [dbo].[PC_WRReferences_Temp] (
			[SourceApp] [int] NOT NULL,
			[SourceDocID] [int] NOT NULL,
			[OldSourceDocLine] [smallint] NOT NULL,
			[NewSourceDocLine] [smallint] NOT NULL,
			[SourceDocCRRefType] [int] NOT NULL,
			[SourceDocIDOption] [varchar] (128) NOT NULL,
			[WorkingReportID] [int] NULL,
			[WorkingReportTable] [int] NULL,
			[WorkingReportLine] [smallint] NULL,
			TBCreated [datetime] NULL,
			TBModified [datetime] NULL,
			TBCreatedID [int] NULL,
			TBModifiedID [int] NULL,
			CONSTRAINT [PK_WRReferences_Temp] PRIMARY KEY  
		(
			[SourceApp],
			[SourceDocID],
			[OldSourceDocLine],
			[SourceDocCRRefType],
			[SourceDocIDOption]
			)ON [PRIMARY]
		) ON [PRIMARY]
	END

	BEGIN
		INSERT INTO [PC_WRReferences_Temp]
		SELECT [PC_WRReferences].[SourceApp]
			  ,[PC_WRReferences].[SourceDocID]
			  ,[PC_WRReferences].[SourceDocLine]
			  ,PB_SC_ServiceCallDetails.Position
			  ,[PC_WRReferences].[SourceDocCRRefType]
			  ,[PC_WRReferences].[SourceDocIDOption]
			  ,[PC_WRReferences].[WorkingReportID]
			  ,[PC_WRReferences].[WorkingReportTable]
			  ,[PC_WRReferences].[WorkingReportLine]
			  ,[PC_WRReferences].[TBCreated]
			  ,[PC_WRReferences].[TBModified]
			  ,[PC_WRReferences].[TBCreatedID]
			  ,[PC_WRReferences].[TBModifiedID]
		  FROM [PB_SC_ServiceCallDetails] join [PC_WRReferences] ON [ServiceCallID]=[SourceDocID]
		  WHERE [PC_WRReferences].[SourceApp] = 1311244288 AND PB_SC_ServiceCallDetails.Line = [PC_WRReferences].[SourceDocLine] AND [PC_WRReferences].[SourceDocCRRefType] = 27098368
		  ORDER BY [PB_SC_ServiceCallDetails].[ServiceCallID]
	END
END
GO